%define sname	alut
%define major	0
%define libname %mklibname %{sname} %{major}
%define devname %mklibname %{sname} -d

Summary:	OpenAL Utility Toolkit (ALUT)
Name:		freealut
Version:	1.1.0
Release:	13
License:	LGPLv2
Group:		Sound
Url:		http://www.openal.org
Source0:	http://connect.creativelabs.com/openal/Downloads/ALUT/%{name}-%{version}.tar.bz2
Patch0:		%{name}-openal.patch
BuildRequires:	pkgconfig(openal)

%description
ALUT is the OpenAL Utility Toolkit.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for ALUT
Group:		System/Libraries
Provides:	%{name} = %{EVRD}
Conflicts:	%{_lib}freealut0 < 1.1.0-11
Obsoletes:	%{_lib}freealut0 < 1.1.0-11

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with ALUT.

%files -n %{libname}
%{_libdir}/libalut.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use ALUT
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}freealut-devel < 1.1.0-11
Obsoletes:	%{_lib}freealut-devel < 1.1.0-11

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use ALUT.

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/AL
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_bindir}/%{name}-config

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.0-13
+ Revision: 18788ba
- MassBuild#440: Increase release tag


